#pragma once

#include "ofxiOS.h"
#include "ofxiOSImagePicker.h"

class ofApp : public ofxiOSApp{
	
    public:
        void setup();
        void update();
        void draw();
        void exit();
	
        void touchDown(ofTouchEventArgs & touch);
        void touchMoved(ofTouchEventArgs & touch);
        void touchUp(ofTouchEventArgs & touch);
        void touchDoubleTap(ofTouchEventArgs & touch);
        void touchCancelled(ofTouchEventArgs & touch);
	
        void lostFocus();
        void gotFocus();
        void gotMemoryWarning();
        void deviceOrientationChanged(int newOrientation);
	
        ofxiOSImagePicker camera;
        ofImage	photo;
        ofPoint imgPos;
        ofPoint prePoint;
	
        ofImage camImg;
        ofImage libImg;
    
        ofRectangle camRect;
        ofRectangle libRect;
    
    
    
    ofImage catPic;
    
    ofPixels pixels;
    ofPixels grayPixels;
    ofPixels colorPixels;
    float imagewidth;
    
    float radius;
    float opacity;
    bool animated;

};

